<template>
  <v-list-item
    icon
    dense
    class="no-padding"
    @click="onSwitchClick"
  >
    <v-list-item-icon class="no-padding">
      <v-switch
        v-model="isEnabled"
        false-value="false"
        true-value="true"
        class="no-padding no-margin"
        dense
      />
    </v-list-item-icon>
    <v-list-item-content class="negative-left-margin">
      <v-list-item-title>
        {{ $t('button.auto-player') }}
      </v-list-item-title>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

@Component
export default class AutoPlayerSwitch extends Vue {
  isEnabled = localStorage.getItem('continuePlaying');

  onSwitchClick() {
    localStorage.setItem('continuePlaying', this.isEnabled as string);
  }
}
</script>
<style scoped lang="scss">
  .no-padding {
    padding: 0px;
  }

  .no-margin {
    margin: 0px;
  }

  .negative-left-margin {
    margin-left: -14px;
  }
</style>
